FinancialModel
Get financial model parameters
Returns the persisted financial model inputs and calculations for a prediction.
Parameters:
-
projectId(path, required): The project ID. -
predictionId(path, required): The prediction ID.
GET
/
Project
/
{projectId}
/
Prediction
/
{predictionId}
/
FinancialModelParameters
Get financial model parameters
curl --request GET \
--url https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/FinancialModelParameters', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 166274,
"systemSizeAtPOI": 0.15,
"systemInverterCapacity": 0.15,
"systemSize": 0.195,
"specificYieldUsedInAnalysis": 1504.9936308468727,
"dcacAtPOI": 1.3,
"dcacAtInverter": 1.3,
"epcbosCost": 0.5,
"epcCapitalCost": 0.0975,
"developmentCostTotal": 0.03,
"moduleCostTotal": 0.058499999999999996,
"capitalCostTotalPreITC": 0.186,
"capitalCostTotalPostITC": 0.13763999999999998,
"yearOneEnergy": 293.4737580151402,
"averageGCRPercentage": 40,
"itcTotal": 0.04836,
"basisForDepreciation": 0.15252,
"bonusDepreciation": 0,
"basisForMACRS": 0.15252,
"salvageValue": 0.009300000000000001,
"energyInput": 1504.9936308468727,
"bosInput": 0.5,
"developmentCostPerWatt": 0.2,
"moduleCostPerWatt": 0.3,
"itcPercentage": 26,
"yearOneEnergyAdjustmentPercentage": 0,
"annualSolarDegradationPercentage": 0.3,
"ppaPrice": 25,
"ppaEscalatorPercentage": 0,
"omYearOne": 3.5,
"omYearlyEscalatorPercentage": 2.5,
"ppaDuration": 20,
"postPPAPrice": 50,
"postPPAPriceEscalationPercentage": 2,
"projectLife": 35,
"discountNPVPercentage": 6,
"itcEligibilityPercentage": 100,
"solarSalvageValuePercentage": 5,
"insuranceCapitalCostPercentage": 0.15,
"insuranceEscalatorPerYearPercentage": 0,
"bonusDepreciationRate": 0,
"stateTaxRate": 6,
"federalTaxRate": 21,
"solarLandLeaseCost": 0,
"solarLandLeaseEscalationPercentage": 0,
"solarPropertyTaxCost": 0,
"solarPropertyTaxEscalationPercentage": 0
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Response
Financial model parameters
The response is of type object.
⌘I
Get financial model parameters
